AWS IoT Device SDK C++ v2: Aws::Eventstreamrpc::TaggedResult Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Classes | Public Member Functions | List of all members
Aws::Eventstreamrpc::TaggedResult Class Reference

`#include <EventStreamClient.h>`

## Public Member Functions
| TaggedResult () noexcept
| TaggedResult (Crt::ScopedResource< AbstractShapeBase > response) noexcept
| TaggedResult (Crt::ScopedResource< OperationError > error) noexcept
| TaggedResult (RpcError rpcError) noexcept
| TaggedResult (TaggedResult &&rhs) noexcept
TaggedResult & | operator= (TaggedResult &&rhs) noexcept
| ~TaggedResult () noexcept
| operator bool () const noexcept
AbstractShapeBase * | GetOperationResponse () const noexcept
OperationError * | GetOperationError () const noexcept
RpcError | GetRpcError () const noexcept
ResultType | GetResultType () const noexcept

## Constructor & Destructor Documentation

## ◆ TaggedResult() [1/5]

Aws::Eventstreamrpc::TaggedResult::TaggedResult | ( |  | ) |
| noexcept

## ◆ TaggedResult() [2/5]

Aws::Eventstreamrpc::TaggedResult::TaggedResult | ( | Crt::ScopedResource< AbstractShapeBase > | response | ) |
| explicitnoexcept

## ◆ TaggedResult() [3/5]

Aws::Eventstreamrpc::TaggedResult::TaggedResult | ( | Crt::ScopedResource< OperationError > | error | ) |
| explicitnoexcept

## ◆ TaggedResult() [4/5]

Aws::Eventstreamrpc::TaggedResult::TaggedResult | ( | RpcError | rpcError | ) |
| explicitnoexcept

## ◆ TaggedResult() [5/5]

Aws::Eventstreamrpc::TaggedResult::TaggedResult | ( | TaggedResult && | rhs | ) |
| noexcept

## ◆ ~TaggedResult()

Aws::Eventstreamrpc::TaggedResult::~TaggedResult | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ GetOperationError()

OperationError * Aws::Eventstreamrpc::TaggedResult::GetOperationError | ( |  | ) | const
| noexcept

## ◆ GetOperationResponse()

AbstractShapeBase * Aws::Eventstreamrpc::TaggedResult::GetOperationResponse | ( |  | ) | const
| noexcept

## ◆ GetResultType()

ResultType Aws::Eventstreamrpc::TaggedResult::GetResultType | ( |  | ) | const
| inlinenoexcept

## ◆ GetRpcError()

RpcError Aws::Eventstreamrpc::TaggedResult::GetRpcError | ( |  | ) | const
| noexcept

## ◆ operator bool()

Aws::Eventstreamrpc::TaggedResult::operator bool | ( |  | ) | const
| noexcept

Returns
  true if the response is associated with an expected response; false if the response is associated with an error.

## ◆ operator=()

TaggedResult & Aws::Eventstreamrpc::TaggedResult::operator= | ( | TaggedResult && | rhs | ) |
| noexcept

The documentation for this class was generated from the following files:

- eventstream_rpc/include/aws/eventstreamrpc/EventStreamClient.h
- eventstream_rpc/source/EventStreamClient.cpp